<?php

defined('BASEPATH') OR exit('No direct script access allowed');
class Login extends CI_Controller
{
    function __construct() {
        parent::__construct();
        $this->load->model("login_model", "login");
		$this->load->model("settings_model", "business");
        if(!empty($_SESSION['id']))
            redirect('dashboard');
    }

    public function index() {
        if($_POST) {
            $result = $this->login->validate_user($_POST);
            if(!empty($result)) {
                $data = [
                    'id' => $result->id,
                    'username' => $result->username
                ];
                $this->session->set_userdata($data);
                redirect('dashboard');
            } else {
                $this->session->set_flashdata('flash_data', 'Username or password is wrong!');
                redirect('login');
            }
        }
          $data['settings'] = $this->business->get_by_meta('business_settings');
        $this->load->view("login",$data);

    }

	

}