<?php defined('BASEPATH') OR exit('No direct script access allowed');
 
class Settings extends CI_Controller {

	public function __construct()
	{
		parent::__construct();
 if(empty($this->session->userdata('id')) ) {
      
		 
            $this->session->set_flashdata('flash_data', 'You don\'t have access!');
            redirect('login');
			 
        }
		
		$this->load->helper('url');
		$this->load->library('upload'); // to upload image 
		$this->load->helper('directory'); //load directory helper ot show client image from upload folder
	}

	public function index()
	{
	
		$this->load->view('settings/settings_view');
	}

public function notification_settings()
	{
		$this->load->model('Settings_model','settings');
		$data['notify'] = $this->settings->get_by_meta('notification');
		
		$this->load->view('settings/notification_settings', $data);
	}

public function update_notification_settings()
	{
	
	 $this->load->model('Settings_model','settings');

   
		$post  =   $this->input->post();              

 $total_row = count($post['myid']);        
         $metakey = '[';
 
        for($i=0; $i<$total_row; $i++){

//if(isset($_POST['checklist'])) { $mystatus = 1; }	

   $metakey.= '{"id": "'.$post['myid'][$i].'","title": "'.$post['title'][$i].'", "status": "'.$post['status'][$i].'"}';
 if($i<$total_row-1) {$metakey.=',';}
              }
			  $metakey.=']';
			  
		
		$newMeta = array('meta_value'=>$metakey);
		
		$this->settings->update(array('meta_key' => 'notification'),$newMeta);	

		echo json_encode(array("status" => TRUE));
		
		
	}

public function localization()
	{
		$this->load->model('Settings_model','settings');
		//$data['localInfo'] = $this->local->get_all();
		$data['local'] = $this->settings->get_by_meta('localization');
		
		$this->load->view('settings/localization', $data);
	}

public function update_localization()
	     {
	     
	    $this->load->model('Settings_model','settings');
  

		$data = array(
		                'default_country' => $this->input->post('default_country'),
				'default_language' => $this->input->post('default_language'),
				'time_zone' => $this->input->post('timezone'),
				'date_format' => $this->input->post('date_format'),
				'date_time_format' => $this->input->post('date_time_format'),
				'time_format_24' => $this->input->post('24_format'),
				'base_currency' => $this->input->post('base_currency'),
				'currency_format' => $this->input->post('currency_format'),
				
				
			);
			
			//$newMeta = json_encode($data);
			$newMeta = array('meta_value'=>json_encode($data));
		
		$this->settings->update(array('meta_key' => 'localization'),$newMeta);

		echo json_encode(array("status" => TRUE));
		

	     }
	     
 public function view_gateway($gatewaykey=NULL)
	     {
	     
	    $this->load->model('Settings_model','settings');
  //$gatewayInfo = $this->settings->get_by_meta($gatewaykey);
  
  /*
  $myinfo = json_encode($gatewayInfo->meta_value);
  
  foreach ($myinfo as $key => $value) {
        
        $data = array($key => $value);
        
                 }
                 */
		
$data['gatewayInfo'] = $this->settings->get_by_meta($gatewaykey);
		
		$this->load->view('settings/gateway', $data);
		

	     }

 public function update_gateways($gatewaykey=NULL)
	     {
	     
	    $this->load->model('Settings_model','settings');
  $gatewayInfo = $this->settings->get_by_meta($gatewaykey);
  
  $myinfo = json_decode($gatewayInfo->meta_value);
  
  $post  =   $this->input->post();              

 $total_row = count($post['key']);        
         $metakey = '{';
 
        for($i=0; $i<$total_row; $i++){

//if(isset($_POST['checklist'])) { $mystatus = 1; }	

   $metakey.= '"'.$post['key'][$i].'"'.': "'.$post['key_value'][$i].'"';
 if($i<$total_row-1) {$metakey.=',';}
              }
			 
		$metakey.= '}';	  
		
		$newMeta = array('meta_value'=>$metakey);
		
		$this->settings->update(array('meta_key' => $gatewaykey),$newMeta);

		echo json_encode(array("status" => TRUE));
		

	     }
	     
public function email_settings()
	{
		$this->load->model('Settings_model','settings');
		//$data['localInfo'] = $this->local->get_all();
		$data['email'] = $this->settings->get_by_meta('email_settings');
		
		$this->load->view('settings/email_settings', $data);
	}

public function update_email_settings()
	     {
	  $this->load->model('Settings_model','settings');
		$data = array(
		                'mail_by' => $this->input->post('mail_by'),
				'sender' => $this->input->post('sender'),
				'smtp_host' => $this->input->post('smtp_host'),
				'smtp_username' => $this->input->post('smtp_username'),
				'smtp_password' => $this->input->post('smtp_password'),
				'smtp_port' => $this->input->post('smtp_port')
			);
			
		$newMeta = array('meta_value'=>json_encode($data));
		
		$this->settings->update(array('meta_key' => 'email_settings'),$newMeta);

		echo json_encode(array("status" => TRUE));

	     }
	
public function business_settings()
	{
		$this->load->model('Settings_model','settings');
		$data['business'] = $this->settings->get_by_meta('business_settings');
		
		$this->load->view('settings/business_settings', $data);
	}

public function update_business_settings()
	     {
	     $this->_validate_business();
	     $this->load->model('Settings_model','settings');
		$data = array(
		                'business_name' => $this->input->post('business_name'),
				'first_name' => $this->input->post('first_name'),
				'last_name' => $this->input->post('last_name'),
				'email' => $this->input->post('email'),
				'website' => $this->input->post('website'),
				'tin' => $this->input->post('tin'),
				'vat' => $this->input->post('vat'),
				'bin' => $this->input->post('bin'),
				'address_1' => $this->input->post('address_1'),
				'address_2' => $this->input->post('address_2'),
				'state' => $this->input->post('state'),
				'city' => $this->input->post('city'),
				'zip' => $this->input->post('zip'),
				'country' => $this->input->post('country'),
				'phone' => $this->input->post('phone'),
				'mobile' => $this->input->post('mobile'),
				'fax' => $this->input->post('fax'),
				'business_type' => $this->input->post('business_type'),
				'logo_image' => $this->input->post('logo_image')
				
			);
		$newMeta = array('meta_value'=>json_encode($data));
		
		$this->settings->update(array('meta_key' => 'business_settings'),$newMeta);


		echo json_encode(array("status" => TRUE));

	     }


	
//////////////// Publication Type /////////////////////////
public function publication_type()
	{
$this->load->view('settings/publication_type_settings');
	}

public function publication_type_list()
	{
		$this->load->model('PublicationType_model','types');
		$data['typeInfo'] = $this->types->get_all();
		$this->load->view('settings/publication_type_list', $data);
	}

public function add_publication_type()
	     {
		 $this->_validate_types();
	    $this->load->model('PublicationType_model','types');
		$data = array(
		       
				'title' => $this->input->post('title'),
				'description' => $this->input->post('description')
				
			);

		$insert = $this->types->save($data);

		echo json_encode(array("status" => TRUE));

	     }
	
public function edit_publication_type($id)

	{
 $this->load->model('PublicationType_model','types');
		$type_info = $this->types->get_by_id($id);

		$data = array('id'=>$type_info->id, 

		               'title'=>$type_info->title,

					   'description'=>$type_info->description

					  );
		echo json_encode($data);

	}
	
public function update_publication_type()
	     {
	     $this->_validate_types();
	    $this->load->model('PublicationType_model','types');
		$data = array(
				'title' => $this->input->post('title'),
				'description' => $this->input->post('description')
				
			);

		$this->types->update(array('id' => $this->input->post('id')), $data);

		echo json_encode(array("status" => TRUE));

	     }	
public function delete_publication_type($id)

	{
 $this->load->model('PublicationType_model','types');
		$this->types->delete_by_id($id);

		echo json_encode(array("status" => TRUE));

	}  

 //////////////// Publication Category /////////////////////////
public function publication_category()
	{
$this->load->view('settings/publication_category_settings');
	}

public function publication_category_list()
	{
		$this->load->model('PublicationCategory_model','cats');
		$data['categoryInfo'] = $this->cats->get_all();
		$this->load->view('settings/publication_category_list', $data);
	}

public function add_publication_category()
	     {
		 $this->_validate_cats();
	    $this->load->model('PublicationCategory_model','cats');
		$data = array(
		       
				'title' => $this->input->post('title'),
				'description' => $this->input->post('description')
				
			);

		$insert = $this->cats->save($data);

		echo json_encode(array("status" => TRUE));

	     }
	
public function edit_publication_category($id)

	{
 $this->load->model('PublicationCategory_model','cats');
		$type_info = $this->cats->get_by_id($id);

		$data = array('id'=>$type_info->id, 

		               'title'=>$type_info->title,

					   'description'=>$type_info->description

					  );
		echo json_encode($data);

	}
	
public function update_publication_category()
	     {
	     $this->_validate_cats();
	    $this->load->model('PublicationCategory_model','cats');
		$data = array(
				'title' => $this->input->post('title'),
				'description' => $this->input->post('description')
				
			);

		$this->cats->update(array('id' => $this->input->post('id')), $data);

		echo json_encode(array("status" => TRUE));

	     }	
public function delete_publication_category($id)

	{
 $this->load->model('PublicationCategory_model','cats');
		$this->cats->delete_by_id($id);

		echo json_encode(array("status" => TRUE));

	}  

 //////////////// Publication Frequency /////////////////////////
public function publication_frequency()
	{
$this->load->view('settings/publication_frequency_settings');
	}

public function publication_frequency_list()
	{
		$this->load->model('PublicationFrequency_model','freq');
		$data['frequencyInfo'] = $this->freq->get_all();
		$this->load->view('settings/publication_frequency_list', $data);
	}

public function add_publication_frequency()
	     {
		$this->_validate_freq();
	    $this->load->model('PublicationFrequency_model','freq');
		$data = array(
		       
				'title' => $this->input->post('title'),
				//'frequency_type' => $this->input->post('frequency_type'),
				'description' => $this->input->post('description')
				
			);

		$insert = $this->freq->save($data);

		echo json_encode(array("status" => TRUE));

	     }
	
public function edit_publication_frequency($id)

	{
 $this->load->model('PublicationFrequency_model','freq');
		$type_info = $this->freq->get_by_id($id);

		$data = array('id'=>$type_info->id, 

		               'title'=>$type_info->title,
					   //'frequency_type'=>$type_info->frequency_type,

					   'description'=>$type_info->description

					  );
		echo json_encode($data);

	}
	
public function update_publication_frequency()
	     {
	     $this->_validate_freq();
	    $this->load->model('PublicationFrequency_model','freq');
		$data = array(
				'title' => $this->input->post('title'),
				//'frequency_type' => $this->input->post('frequency_type'),
				'description' => $this->input->post('description')
				
			);

		$this->freq->update(array('id' => $this->input->post('id')), $data);

		echo json_encode(array("status" => TRUE));

	     }	
public function delete_publication_frequency($id)

	{
 $this->load->model('PublicationFrequency_model','freq');
		$this->freq->delete_by_id($id);

		echo json_encode(array("status" => TRUE));

	}   

//////////////// Advertisement Position Type /////////////////////////
public function position_type()
	{
	$this->load->model('Publication_model','pubs');
	$data['pubsInfo'] = $this->pubs->get_all();
$this->load->view('settings/position_type_settings',$data);
	}

public function position_type_list()
	{
		$this->load->model('PositionType_model','types');
		$data['typeInfo'] = $this->types->get_all();
		$this->load->view('settings/position_type_list', $data);
	}

public function add_position_type()
	     {
		 $this->_validate_types();
	    $this->load->model('PositionType_model','types');
		$data = array(
		       'publication_id' => $this->input->post('publication_id'),
				'title' => $this->input->post('title'),
				'description' => $this->input->post('description')
				
			);

		$insert = $this->types->save($data);

		echo json_encode(array("status" => TRUE));

	     }
	
public function edit_position_type($id)

	{
 $this->load->model('PositionType_model','types');
		$type_info = $this->types->get_by_id($id);

		$data = array('id'=>$type_info->id, 
                       'publication_id' => $type_info->publication_id,
		               'title'=>$type_info->title,

					   'description'=>$type_info->description

					  );
		echo json_encode($data);

	}
	
public function update_position_type()
	     {
	     $this->_validate_types();
	    $this->load->model('PositionType_model','types');
		$data = array(
		        'publication_id' => $this->input->post('publication_id'),
				'title' => $this->input->post('title'),
				'description' => $this->input->post('description')
				
			);

		$this->types->update(array('id' => $this->input->post('id')), $data);

		echo json_encode(array("status" => TRUE));

	     }	
public function delete_position_type($id)

	{
 $this->load->model('PositionType_model','types');
		$this->types->delete_by_id($id);

		echo json_encode(array("status" => TRUE));

	}  

//////////////// Advertisement Position Color /////////////////////////
public function position_color()
	{
	$this->load->model('Publication_model','pubs');
	$data['pubsInfo'] = $this->pubs->get_all();
$this->load->view('settings/position_color_settings',$data);
	}

public function position_color_list()
	{
		$this->load->model('PositionColor_model','colors');
		$data['colorInfo'] = $this->colors->get_all();
		$this->load->view('settings/position_color_list', $data);
	}

public function add_position_color()
	     {
		 $this->_validate_colors();
	    $this->load->model('PositionColor_model','colors');
		$data = array(
		       'publication_id' => $this->input->post('publication_id'),
				'title' => $this->input->post('title'),
				'description' => $this->input->post('description')
				
			);

		$insert = $this->colors->save($data);

		echo json_encode(array("status" => TRUE));

	     }
	
public function edit_position_color($id)

	{
 $this->load->model('PositionColor_model','colors');
		$color_info = $this->colors->get_by_id($id);

		$data = array('id'=>$color_info->id, 
                       'publication_id' => $color_info->publication_id,
		               'title'=>$color_info->title,

					   'description'=>$color_info->description

					  );
		echo json_encode($data);

	}
	
public function update_position_color()
	     {
	     $this->_validate_colors();
	    $this->load->model('PositionColor_model','colors');
		$data = array(
		       'publication_id' => $this->input->post('publication_id'),
				'title' => $this->input->post('title'),
				'description' => $this->input->post('description')
				
			);

		$this->colors->update(array('id' => $this->input->post('id')), $data);

		echo json_encode(array("status" => TRUE));

	     }	
public function delete_position_color($id)

	{
 $this->load->model('PositionColor_model','colors');
		$this->colors->delete_by_id($id);

		echo json_encode(array("status" => TRUE));

	}  



//////////////// Subscriber Group /////////////////////////
public function subscription_group()
	{
	$this->load->model('Publication_model','pubs');
	$data['pubsInfo'] = $this->pubs->get_all();
$this->load->view('settings/subscription_group_settings',$data);
	}

public function subscription_group_list()
	{
		$this->load->model('SubscriptionGroup_model','groups');
		$data['groupInfo'] = $this->groups->get_all();
		$this->load->view('settings/subscription_group_list', $data);
	}

public function add_subscription_group()
	     {
		 $this->_validate_groups();
	    $this->load->model('SubscriptionGroup_model','groups');
		$data = array(
		        'publication_id' => $this->input->post('publication_id'),
				'title' => $this->input->post('title'),
				'description' => $this->input->post('description')
				
			);

		$insert = $this->groups->save($data);

		echo json_encode(array("status" => TRUE));

	     }
	
public function edit_subscription_group($id)

	{
 $this->load->model('SubscriptionGroup_model','groups');
		$group_info = $this->groups->get_by_id($id);

		$data = array('id'=>$group_info->id, 
                    'publication_id' => $group_info->publication_id,
		               'title'=>$group_info->title,

					   'description'=>$group_info->description

					  );
		echo json_encode($data);

	}
	
public function update_subscription_group()
	     {
	     $this->_validate_groups();
	    $this->load->model('SubscriptionGroup_model','groups');
		$data = array(
		 'publication_id' => $this->input->post('publication_id'),
				'title' => $this->input->post('title'),
				'description' => $this->input->post('description')
				
			);

		$this->groups->update(array('id' => $this->input->post('id')), $data);

		echo json_encode(array("status" => TRUE));

	     }	
public function delete_subscription_group($id)

	{
 $this->load->model('SubscriptionGroup_model','groups');
		$this->groups->delete_by_id($id);

		echo json_encode(array("status" => TRUE));

	}  

//////////////// Interest Group/Area /////////////////////////
public function interest_group()
	{
	$this->load->model('Publication_model','pubs');
	$data['pubsInfo'] = $this->pubs->get_all();
$this->load->view('settings/interest_group_settings',$data);
	}

public function interest_group_list()
	{
		$this->load->model('InterestGroup_model','interests');
		$data['groupInfo'] = $this->interests->get_all();
		$this->load->view('settings/interest_group_list', $data);
	}

public function add_interest_group()
	     {
		 $this->_validate_interests();
	    $this->load->model('InterestGroup_model','interests');
		$data = array(
		       'publication_id' => $this->input->post('publication_id'),
				'title' => $this->input->post('title'),
				'description' => $this->input->post('description')
				
			);

		$insert = $this->interests->save($data);

		echo json_encode(array("status" => TRUE));

	     }
	
public function edit_interest_group($id)

	{
 $this->load->model('InterestGroup_model','interests');
		$group_info = $this->interests->get_by_id($id);

		$data = array('id'=>$group_info->id, 
                        'publication_id' => $group_info->publication_id,
		               'title'=>$group_info->title,

					   'description'=>$group_info->description

					  );
		echo json_encode($data);

	}
	
public function update_interest_group()
	     {
	     $this->_validate_interests();
	    $this->load->model('InterestGroup_model','interests');
		$data = array(
		        'publication_id' => $this->input->post('publication_id'),
				'title' => $this->input->post('title'),
				'description' => $this->input->post('description')
				
			);

		$this->interests->update(array('id' => $this->input->post('id')), $data);

		echo json_encode(array("status" => TRUE));

	     }	
public function delete_interest_group($id)

	{
 $this->load->model('interestGroup_model','interests');
		$this->interests->delete_by_id($id);

		echo json_encode(array("status" => TRUE));

	}  

//////////////// Distribution Method settings /////////////////////////
public function distribution_method()
	{
$this->load->view('settings/distribution_method_settings');
	}

public function distribution_method_list()
	{
		$this->load->model('DistributionMethod_model','distribute');
		$data['methodInfo'] = $this->distribute->get_all();
		$this->load->view('settings/distribution_method_list', $data);
	}

public function add_distribution_method()
	     {
		 $this->_validate_distribution_method();
	    $this->load->model('DistributionMethod_model','distribute');
		$data = array(
		       
				'title' => $this->input->post('title'),
				'description' => $this->input->post('description')
				
			);

		$insert = $this->distribute->save($data);

		echo json_encode(array("status" => TRUE));

	     }
	
public function edit_distribution_method($id)

	{
 $this->load->model('DistributionMethod_model','distribute');
		$group_info = $this->distribute->get_by_id($id);

		$data = array('id'=>$group_info->id, 

		               'title'=>$group_info->title,

					   'description'=>$group_info->description

					  );
		echo json_encode($data);

	}
	
public function update_distribution_method()
	     {
	     $this->_validate_interests();
	   $this->load->model('DistributionMethod_model','distribute');
		$data = array(
				'title' => $this->input->post('title'),
				'description' => $this->input->post('description')
				
			);

		$this->distribute->update(array('id' => $this->input->post('id')), $data);

		echo json_encode(array("status" => TRUE));

	     }	
public function delete_distribution_method($id)

	{
 $this->load->model('DistributionMethod_model','distribute');
		$this->distribute->delete_by_id($id);

		echo json_encode(array("status" => TRUE));

	}  

///////////////////// transaction category/////////////////////////////////////
public function transaction_categories()
	{
	$this->load->view('settings/transaction_categories');
	}
public function income_categories()
	{
		$this->load->model('incomecategory_model','income');
		$data['incomeCategories'] = $this->income->get_all();
			
		$this->load->view('settings/income_category',$data);
	}
public function expense_categories()
	{
		$this->load->model('expensecategory_model','expense');
		$data['expenseCategories'] = $this->expense->get_all();
		
		$this->load->view('settings/expense_category',$data);
	}
public function add_income_category()
	     {
		 $this->load->model('incomecategory_model','income');
		
	     $this->_validate_income();
		$data = array(
		                'title' => $this->input->post('income_category_name'),
				        'description' => $this->input->post('income_description'),
				        'trans_type' => 1
				
			);
		$insert = $this->income->save($data);
		
		echo json_encode(array("status" => TRUE));

	     }	

public function add_expense_category()
	     {
		 $this->load->model('expensecategory_model','expense');
		
	     $this->_validate_expense();
		$data = array(
		                'title' => $this->input->post('expense_category_name'),
				        'description' => $this->input->post('expense_description'),
				        'trans_type' => 2
				
			);
		$insert = $this->expense->save($data);
		
		echo json_encode(array("status" => TRUE));

	     }	
////////////////////////////////////////////////////////////////////

//////////////// Email Templates /////////////////////////
public function email_templates()
	{
$this->load->view('settings/email_template_settings');
	}

public function email_template_list()
	{
		$this->load->model('EmailTemplate_model','email');
		$data['emailInfo'] = $this->email->get_all();
		$this->load->view('settings/email_template_list', $data);
	}

public function add_email_template()
	     {
		 $this->_validate_emailTemplate();
	    $this->load->model('EmailTemplate_model','email');
		$data = array(
		       	'title' => $this->input->post('title'),
				'description' => $this->input->post('description'),
				'status' => $this->input->post('status')
			);

		$insert = $this->email->save($data);

		echo json_encode(array("status" => TRUE));

	     }
	
public function edit_email_template($id)

	{
 $this->load->model('EmailTemplate_model','email');
		$email_info = $this->email->get_by_id($id);

		$data = array('id'=>$email_info->id, 

		               'title'=>$email_info->title,

					   'description'=>$email_info->description,
					   'status'=>$email_info->status

					  );
		echo json_encode($data);

	}
	
public function update_email_template()
	     {
	      $this->load->model('EmailTemplate_model','email');
		$data = array(
				'title' => $this->input->post('title'),
				'description' => $this->input->post('description'),
				'status' => $this->input->post('status')
				
			);

		$this->email->update(array('id' => $this->input->post('id')), $data);

		echo json_encode(array("status" => TRUE));

	     }	
public function delete_email_template($id)

	{
$this->load->model('EmailTemplate_model','email');
		$this->email->delete_by_id($id);

		echo json_encode(array("status" => TRUE));

	}  




/////////////////////////////////


	
	
	     
public function edit_income_category($id)

	{
$this->load->model('incomecategory_model','income');
		$trans_info = $this->income->get_by_id($id);

		$data = array('id'=>$trans_info->id, 

		               'title'=>$trans_info->title,

					   'description'=>$trans_info->description,

					  );
		echo json_encode($data);

	}

public function update_income_category()

	{
$this->load->model('incomecategory_model','income');
		$data = array(
		                'title' => $this->input->post('income_category_name'),
				        'description' => $this->input->post('income_description'),
				        'trans_type' => 1
				
			);
		//$insert = $this->income->save($data);
		$this->income->update(array('id' => $this->input->post('id')), $data);
		echo json_encode(array("status" => TRUE));
	}	

public function delete_income_category($id)

	{
$this->load->model('incomecategory_model','income');
		$this->income->delete_by_id($id);

		echo json_encode(array("status" => TRUE));

	}     

public function edit_expense_category($id)

	{
$this->load->model('expensecategory_model','expense');
		$trans_info = $this->expense->get_by_id($id);

		$data = array('id'=>$trans_info->id, 

		               'title'=>$trans_info->title,

					   'description'=>$trans_info->description,

					  );
		echo json_encode($data);

	}

public function update_expense_category()

	{
$this->load->model('expensecategory_model','expense');
		$data = array(
		                'title' => $this->input->post('expense_category_name'),
				        'description' => $this->input->post('expense_description'),
				        'trans_type' => 2
				
			);
		//$insert = $this->income->save($data);
		$this->expense->update(array('id' => $this->input->post('expense_id')), $data);
		echo json_encode(array("status" => TRUE));
	}	

public function delete_expense_category($id)

	{
$this->load->model('expensecategory_model','expense');
		$this->expense->delete_by_id($id);

		echo json_encode(array("status" => TRUE));

	}  

public function logo_upload() // upload for new transaction
	 {
	if(isset($_FILES["userFile"]) && $_FILES["userFile"]["error"]== UPLOAD_ERR_OK)
{
	############ Edit settings ##############
	$UploadDirectory	= 'uploads/'; //specify upload directory ends with / (slash)
	##########################################
	
	/*
	Note : You will run into errors or blank page if "memory_limit" or "upload_max_filesize" is set to low in "php.ini". 
	Open "php.ini" file, and search for "memory_limit" or "upload_max_filesize" limit 
	and set them adequately, also check "post_max_size".
	*/
	
	//check if this is an ajax request
	if (!isset($_SERVER['HTTP_X_REQUESTED_WITH'])){
		die();
	}
	
	
	//Is file size is less than allowed size.
	if ($_FILES["userFile"]["size"] > 5000000) { // max 5 MB
		die("<font color='#ff0000'>File size is too big!</font>");
	}
	
	//allowed file type Server side check
	switch(strtolower($_FILES['userFile']['type']))
		{
			//allowed file types
            
			 case 'image/png': 
			case 'image/gif': 
			case 'image/jpeg':
			case 'image/jpg': 
			case 'image/pjpeg':
			case 'text/plain':
			case 'text/html':
			case 'application/x-zip-compressed':
			case 'application/pdf':
			case 'application/msword':
			case 'application/vnd.ms-excel':
			case 'video/mp4':
			
				break;
			default:
				die('<font color="#ff0000">Unsupported File! </font>'); //output error
	}
	
	$File_Name          = strtolower($_FILES['userFile']['name']);
	$File_Ext           = substr($File_Name, strrpos($File_Name, '.')); //get file extention
	//$Random_Number      = rand(0, 9999999999); //Random number to be added to name.
	$NewFileName 		= 'bblogo'.$File_Ext; //new file name
	$targetPath = "uploads/".$NewFileName;

      

	if(move_uploaded_file($_FILES['userFile']['tmp_name'], $targetPath))
	   {
	// remove the old logo from both server and database 

      $this->load->model('Settings_model','settings');
     $logo = $this->settings->get_by_meta('business_settings');
    $prevLogo = json_decode($logo->meta_value,true); // business_settings table contain only one row... id always 1
    $filename = $prevLogo['logo_image'];

       $absolutedir			= dirname(__FILE__);
//$absolutedir = str_replace('\controllers','',$absolutedir);
$upload_dir = str_replace('application/controllers','',$absolutedir);
$dir					= 'uploads/';
$serverdir				= $upload_dir.$dir;
  if (file_exists($serverdir.$filename)) {
 unlink($serverdir.$filename ); // remove the existing file
   }
						
$data = array(
		                'business_name' => $prevLogo['business_name'],
				'first_name' => $prevLogo['first_name'],
				'last_name' => $prevLogo['last_name'],
				'email' => $prevLogo['email'],
				'website' => $prevLogo['website'],
				'tin' => $prevLogo['tin'],
				'vat' => $prevLogo['vat'],
				'bin' => $prevLogo['bin'],
				'address_1' => $prevLogo['address_1'],
				'address_2' => $prevLogo['address_2'],
				'state' => $prevLogo['state'],
				'city' => $prevLogo['city'],
				'zip' => $prevLogo['zip'],
				'country' => $prevLogo['country'],
				'phone' => $prevLogo['phone'],
				'mobile' => $prevLogo['mobile'],
				'fax' => $prevLogo['fax'],
				'business_type' => $prevLogo['business_type'],
				'logo_image' => $NewFileName
				
			);
		$newMeta = array('meta_value'=>json_encode($data));
		
		$this->settings->update(array('meta_key' => 'business_settings'),$newMeta);



       ///////////////////////////
	   
$response = array('myfile'=>$NewFileName);
echo json_encode($response);
	}
	
	else{
		die('<font color="#ff0000">error uploading File!</font>');
	}
	
}
else
{
	die('Something wrong with upload! Is "upload_max_filesize" set correctly?');
}
	

	 
 }
 







	
	private function _validate_business()
	{
		$data = array();
		$data['error_string'] = array();
		$data['inputerror'] = array();
		$data['status'] = TRUE;

		if($this->input->post('business_name') == '')
		{
			$data['inputerror'][] = 'business_name';
			$data['error_string'][] = 'Business Name is required';
			$data['status'] = FALSE;
		}
		
		if($this->input->post('email') == '')
		{
			$data['inputerror'][] = 'email';
			$data['error_string'][] = 'Email Address Required';
			$data['status'] = FALSE;
		}
		
	if($this->input->post('address_1') == '')
		{
			$data['inputerror'][] = 'address_1';
			$data['error_string'][] = 'Address 1 Required';
			$data['status'] = FALSE;
		}
		
if($this->input->post('address_2') == '')
		{
			$data['inputerror'][] = 'address_2';
			$data['error_string'][] = 'Address 2 Required';
			$data['status'] = FALSE;
		}		
		
		if($data['status'] === FALSE)
		{
			echo json_encode($data);
			exit();
		}
	}
	private function _validate_income()
	{
		$data = array();
		$data['error_string'] = array();
		$data['inputerror'] = array();
		$data['status'] = TRUE;

		if($this->input->post('income_category_name') == '')
		{
			$data['inputerror'][] = 'income_category_name';
			$data['error_string'][] = 'Category Name is required';
			$data['status'] = FALSE;
		}

		if($data['status'] === FALSE)
		{
			echo json_encode($data);
			exit();
		}
	}
	
	private function _validate_expense()
	{
		$data = array();
		$data['error_string'] = array();
		$data['inputerror'] = array();
		$data['status'] = TRUE;

		if($this->input->post('expense_category_name') == '')
		{
			$data['inputerror'][] = 'expense_category_name';
			$data['error_string'][] = 'Category Name is required';
			$data['status'] = FALSE;
		}

		if($data['status'] === FALSE)
		{
			echo json_encode($data);
			exit();
		}
	}

private function _validate_method()
	{
		$data = array();
		$data['error_string'] = array();
		$data['inputerror'] = array();
		$data['status'] = TRUE;

		if($this->input->post('method_name') == '')
		{
			$data['inputerror'][] = 'method_name';
			$data['error_string'][] = 'Method Name is required';
			$data['status'] = FALSE;
		}

		if($data['status'] === FALSE)
		{
			echo json_encode($data);
			exit();
		}
	}

private function _validate_tax()
	{
		$data = array();
		$data['error_string'] = array();
		$data['inputerror'] = array();
		$data['status'] = TRUE;

		if($this->input->post('title') == '')
		{
			$data['inputerror'][] = 'title';
			$data['error_string'][] = 'Tax Name is required';
			$data['status'] = FALSE;
		}
		
		if($this->input->post('amount') == '')
		{
			$data['inputerror'][] = 'amount';
			$data['error_string'][] = 'Tax Rate is required';
			$data['status'] = FALSE;
		}

		if($data['status'] === FALSE)
		{
			echo json_encode($data);
			exit();
		}
	}
	
	private function _validate_shipping()
	{
		$data = array();
		$data['error_string'] = array();
		$data['inputerror'] = array();
		$data['status'] = TRUE;

		if($this->input->post('title') == '')
		{
			$data['inputerror'][] = 'title';
			$data['error_string'][] = 'Shipping Method is required';
			$data['status'] = FALSE;
		}
		
		
		if($data['status'] === FALSE)
		{
			echo json_encode($data);
			exit();
		}
	}
	
	private function _validate_emailTemplate()
	{
		$data = array();
		$data['error_string'] = array();
		$data['inputerror'] = array();
		$data['status'] = TRUE;

		if($this->input->post('title') == '')
		{
			$data['inputerror'][] = 'title';
			$data['error_string'][] = 'Title is required';
			$data['status'] = FALSE;
		}
		
		
		if($data['status'] === FALSE)
		{
			echo json_encode($data);
			exit();
		}
	}
	
	private function _validate_types()
	{
		$data = array();
		$data['error_string'] = array();
		$data['inputerror'] = array();
		$data['status'] = TRUE;
		
		
		if($this->input->post('publication_id') == '0')
		{
			$data['inputerror'][] = 'publication_id';
			$data['error_string'][] = 'select publication';
			$data['status'] = FALSE;
		}



		if($this->input->post('title') == '')
		{
			$data['inputerror'][] = 'title';
			$data['error_string'][] = 'Title is required';
			$data['status'] = FALSE;
		}
		
		
		
		
		if($data['status'] === FALSE)
		{
			echo json_encode($data);
			exit();
		}
	}

private function _validate_colors()
	{
		$data = array();
		$data['error_string'] = array();
		$data['inputerror'] = array();
		$data['status'] = TRUE;

		if($this->input->post('title') == '')
		{
			$data['inputerror'][] = 'title';
			$data['error_string'][] = 'Title is required';
			$data['status'] = FALSE;
		}
		
		
		
		
		if($data['status'] === FALSE)
		{
			echo json_encode($data);
			exit();
		}
	}

	private function _validate_cats()
	{
		$data = array();
		$data['error_string'] = array();
		$data['inputerror'] = array();
		$data['status'] = TRUE;

		if($this->input->post('title') == '')
		{
			$data['inputerror'][] = 'title';
			$data['error_string'][] = 'Title is required';
			$data['status'] = FALSE;
		}
		
		
		
		
		if($data['status'] === FALSE)
		{
			echo json_encode($data);
			exit();
		}
	}
	


private function _validate_interests()
	{
		$data = array();
		$data['error_string'] = array();
		$data['inputerror'] = array();
		$data['status'] = TRUE;
		
		if($this->input->post('publication_id') == '0')
		{
			$data['inputerror'][] = 'publication_id';
			$data['error_string'][] = 'select publication';
			$data['status'] = FALSE;
		}


		if($this->input->post('title') == '')
		{
			$data['inputerror'][] = 'title';
			$data['error_string'][] = 'Title is required';
			$data['status'] = FALSE;
		}
		
		
		
		
		if($data['status'] === FALSE)
		{
			echo json_encode($data);
			exit();
		}
	}

private function _validate_groups()
	{
		$data = array();
		$data['error_string'] = array();
		$data['inputerror'] = array();
		$data['status'] = TRUE;

if($this->input->post('publication_id') == '0')
		{
			$data['inputerror'][] = 'publication_id';
			$data['error_string'][] = 'select publication';
			$data['status'] = FALSE;
		}



		if($this->input->post('title') == '')
		{
			$data['inputerror'][] = 'title';
			$data['error_string'][] = 'Title is required';
			$data['status'] = FALSE;
		}
		
		
		
		
		if($data['status'] === FALSE)
		{
			echo json_encode($data);
			exit();
		}
	}

private function _validate_distribution_method()
	{
		$data = array();
		$data['error_string'] = array();
		$data['inputerror'] = array();
		$data['status'] = TRUE;

		if($this->input->post('title') == '')
		{
			$data['inputerror'][] = 'title';
			$data['error_string'][] = 'Title is required';
			$data['status'] = FALSE;
		}
		
		
		
		
		if($data['status'] === FALSE)
		{
			echo json_encode($data);
			exit();
		}
	}
	
	private function _validate_freq()
	{
		$data = array();
		$data['error_string'] = array();
		$data['inputerror'] = array();
		$data['status'] = TRUE;

		if($this->input->post('title') == '')
		{
			$data['inputerror'][] = 'title';
			$data['error_string'][] = 'Title is required';
			$data['status'] = FALSE;
		}
		
		
		
		
		if($data['status'] === FALSE)
		{
			echo json_encode($data);
			exit();
		}
	}
	
	
	

}