<!DOCTYPE html>
<html lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Customer Relationship Management System</title>

    <!-- Bootstrap -->
    <link href="<?php echo base_url(); ?>assets/vendors/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Font Awesome -->
    <link href="<?php echo base_url(); ?>assets/vendors/font-awesome/css/font-awesome.min.css" rel="stylesheet">
   
   	 <!-- Select2 -->
     <!-- Custom Theme Style -->
	<link href="<?php echo base_url(); ?>assets/vendors/select2/dist/css/select2.min.css" rel="stylesheet">
    <link href="<?php echo base_url(); ?>assets/build/css/custom.min.css" rel="stylesheet">
	<link href="<?php echo base_url(); ?>assets/css/custom.css" rel="stylesheet"> <!-- by Jewel -->
  </head>
<?php
error_reporting(0);
$myname_query = $this->db->get_where('users',array('id'=>$this->session->userdata('id')));
$myname = $myname_query->row();
$priv_query = $this->db->get_where('user_privileges',array('user_id'=>$this->session->userdata('id')));
$mypriv = $priv_query->row();

?>
  <body class="nav-md">
  <div class="loader"></div>
    <div class="container body">
      <div class="main_container">
        <div class="col-md-3 left_col">
          <div class="left_col scroll-view">
            <div class="navbar nav_title" style="border: 0;">
              <a href="<?php echo base_url(); ?>dashboard" class="site_title"><img src="http://crm.textiletoday.com.bd/uploads/bblogo.png" width="25" style="margin-right: 10px;"/><span>A &amp; J CRM</span></a>
            </div>

            <div class="clearfix"></div>

            <!-- menu profile quick info -->
            <div class="profile">
              <div class="profile_pic"> 
              <?php if($myname->user_photo !='') { ?>
                    <img src="<?php echo base_url(); ?>uploads/user/<?php echo $myname->user_photo ?>" class="img-circle profile_img" style="width:56px; height:56px;">
              <?php } ?>
              <?php if($myname->user_photo =='') { ?>
                    <img src="http://crm.textiletoday.com.bd/uploads/user/no-photo.png" class="img-circle profile_img">
              <?php } ?> 
              </div>
              <div class="profile_info">
                <span>Welcome,</span>
                <h2><?php echo $myname->last_name; ?></h2>
              </div>
            </div>
            <!-- /menu profile quick info -->

           <p>&nbsp;</p>

            <!-- sidebar menu -->
            <div id="sidebar-menu" class="main_menu_side hidden-print main_menu">
              <div class="menu_section">
               
                <ul class="nav side-menu">
                  <li><a href="<?php echo base_url(); ?>dashboard"><i class="fa fa-home"></i> Dashboard </a></li>
                  <?php if($mypriv->publication_menu==1) { ?>
                  <li><a><i class="fa fa-book"></i> Publication <span class="fa fa-chevron-down"></span></a>
                    <ul class="nav child_menu">
                      <li><a href="<?php echo base_url(); ?>publication">All Publications</a></li>
                      <li><a href="<?php echo base_url(); ?>publication/add_publication">Add New</a></li>
                       <li><a href="<?php echo base_url(); ?>settings/publication_type">Publication Type</a></li>
                      <li><a href="<?php echo base_url(); ?>settings/publication_category">Publication Category</a></li>
                       <li><a href="<?php echo base_url(); ?>settings/publication_frequency">Publication Frequency</a></li>
                  <li><a href="<?php echo base_url(); ?>publication/reporting">Reporting</a></li>
                    </ul>
                  </li>
                 
				 
                    <li><a><i class="fa fa-bullhorn"></i> Advertisement <span class="fa fa-chevron-down"></span></a>
                    <ul class="nav child_menu">
                    <!-- <li><a>Settings<span class="fa fa-chevron-down"></span></a>
                      <ul class="nav child_menu">-->
                        
                    <li><a href="<?php echo base_url(); ?>settings/position_type">Ad. Position Type</a></li>
                    <!-- <li><a href="<?php echo base_url(); ?>settings/position_color">Ad. Position Color </a></li>
                      </ul> -->
                    </li>
                      
                      <!--
                       <li><a>Positions<span class="fa fa-chevron-down"></span></a>
                          <ul class="nav child_menu">
                            
                         <li><a href="<?php echo base_url(); ?>position">Adv. Positions</a></li>
                      <li><a href="<?php echo base_url(); ?>position/add_position">Add New Position</a></li>
                          </ul>
                        </li> 
				-->		
                    <?php //if($mypriv->advertiser_menu==1) { ?>
                      <li><a href="<?php echo base_url(); ?>position">Adv. Positions</a></li>
                      <li><a href="<?php echo base_url(); ?>advertiser">Advertisers</a></li>

                      <li><a href="<?php echo base_url(); ?>contract">Adv. Contracts</a></li>
                      <li><a href="<?php echo base_url(); ?>advertiser/reporting">Reporting</a></li>
                    <?php// } ?>
                           
                        </ul>
                      </li> 
                  
                           
                   <?php } ?>
                
            			 <?php if($mypriv->subscription_menu==1) { ?>
                              <li><a><i class="fa fa-calendar"></i> Subscription <span class="fa fa-chevron-down"></span></a>
                                <ul class="nav child_menu">
                                  <li><a href="<?php echo base_url(); ?>subscription">Subscription Type</a></li>
                                   <li><a href="<?php echo base_url(); ?>subscription/add_subscription_type">Add New</a></li>
                                  <li><a href="<?php echo base_url(); ?>subscription/reporting">Reporting</a></li>
                                  
                                </ul>
                              </li>
            			<?php } ?>

         
               <li><a><i class="fa fa-users"></i> Contact <span class="fa fa-chevron-down"></span></a>
                  <ul class="nav child_menu">
                    <li><a href="<?php echo base_url(); ?>contact">All Contact</a></li>
                    <li><a href="<?php echo base_url(); ?>contact/add_contact">Add New Contact</a></li>
                    <?php if($mypriv->subscriber_menu==1) { ?>
                    <li><a href="<?php echo base_url(); ?>contact/interest_group">Working Area</a></li>
                    <li><a href="<?php echo base_url(); ?>contact/contact_tags">Tags</a></li>
                    <li><a href="<?php echo base_url(); ?>contact/contact_lists">Contact Lists</a></li>
                    <li><a href="<?php echo base_url(); ?>contact/reporting">Reporting</a></li>
                    <li><a href="<?php echo base_url(); ?>contact/exim">Export/Import</a></li>
                     <?php } ?>
                  </ul>
                </li>
         
				  
				  
                <?php if($mypriv->subscriber_menu==1) { ?>
           <li><a><i class="fa fa-users"></i> Subscribers <span class="fa fa-chevron-down"></span></a>
              <ul class="nav child_menu">
                <li><a href="<?php echo base_url(); ?>subscriber">All Subscribers</a></li>
                <li><a href="<?php echo base_url(); ?>subscriber/add_subscriber">Add New Subscriber</a></li>
                 <li><a href="<?php echo base_url(); ?>subscriber/subscription_group">Subscriber Group</a></li>
                <li><a href="<?php echo base_url(); ?>subscriber/interest_group">Working Area</a></li>
                <li><a href="<?php echo base_url(); ?>subscriber/subscriber_tags">Tags</a></li>
                <li><a href="<?php echo base_url(); ?>subscriber/subscriber_lists">Subscriber Lists</a></li>
                <li><a href="<?php echo base_url(); ?>subscriber/reporting"> Reporting</a></li>
                <li><a href="<?php echo base_url(); ?>subscriber/exim"> Export/Import</a></li>
              </ul>
          </li>
                  <?php } ?>
        
						   
						   <?php if($mypriv->distribution_menu==1) { ?>
                   <li><a><i class="fa fa-truck"></i> Distribution <span class="fa fa-chevron-down"></span></a>
                    <ul class="nav child_menu">
                      <li><a href="<?php echo base_url(); ?>distribution">Distribution Profiles</a></li>
                      <li><a href="<?php echo base_url(); ?>distribution/add_distribution">Add Profile</a></li>
					  <li><a href="<?php echo base_url(); ?>settings/distribution_method">Distribution Method</a></li>
                      
                    </ul>
                  </li>
                           <?php } ?>
						   
						   <?php if($mypriv->user_menu==1) { ?>
				 <li><a><i class="fa fa-user"></i> User Management <span class="fa fa-chevron-down"></span></a>
                    <ul class="nav child_menu">
                      <li><a href="<?php echo base_url(); ?>user">All Users</a></li>
                      <li><a href="<?php echo base_url(); ?>user/add_user">Add New</a></li>
					  
                      
                    </ul>
                  </li>
				  <?php } ?>
                    
                </ul>
              </div>
             
            </div>
            <!-- /sidebar menu -->

            <!-- /menu footer buttons -->
            <div class="sidebar-footer hidden-small">
              <a data-toggle="tooltip" data-placement="top" title="Profile" href="<?php echo base_url(); ?>user/view/<?php echo $myname->id; ?>">
                <span class="glyphicon glyphicon-user" aria-hidden="true"></span>
              </a>
			  <?php if($myname->group_id == 1) { ?>
              <a data-toggle="tooltip" data-placement="top" title="Settings" href="<?php echo base_url(); ?>settings/business_settings">
                <span class="glyphicon glyphicon-cog" aria-hidden="true"></span>
              </a>
			   <?php } ?>
			    <?php if($myname->group_id != 1) { ?>
              <a data-toggle="tooltip" data-placement="top" title="Settings" href="#">
                <span class="glyphicon glyphicon-cog" aria-hidden="true"></span>
              </a>
			   <?php } ?>
              <a data-toggle="tooltip" data-placement="top" title="Lock">
                <span class="glyphicon glyphicon-eye-close" aria-hidden="true"></span>
              </a>
              <a data-toggle="tooltip" data-placement="top" title="Logout" href="<?php echo base_url(); ?>dashboard/logout">
                <span class="glyphicon glyphicon-off" aria-hidden="true"></span>
              </a>
            </div>
            <!-- /menu footer buttons -->
          </div>
        </div>

        <!-- top navigation -->
        <div class="top_nav">
          <div class="nav_menu">
            <nav>
              <div class="nav toggle">
                <a id="menu_toggle"><i class="fa fa-bars"></i></a>
              </div>

              <ul class="nav navbar-nav navbar-right">
                <li class="">
                  <a href="javascript:;" class="user-profile dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                    <!-- <img src="<?php echo base_url(); ?>uploads/user/<?php echo $user->user_photo; ?>" alt=""> -->

                    <?php if($myname->user_photo !='') { ?>
                          <img src="<?php echo base_url(); ?>uploads/user/<?php echo $myname->user_photo; ?>">
                   <?php } ?>
                   <?php if($myname->user_photo =='') { ?>
                          <img src="http://crm.textiletoday.com.bd/uploads/user/no-photo.png">
                   <?php } ?> 
                    <?php echo $myname->username; ?>
                    <span class=" fa fa-angle-down"></span>
                  </a>
                  <ul class="dropdown-menu dropdown-usermenu pull-right">
                    <li><a href="<?php echo base_url(); ?>user/view/<?php echo $myname->id; ?>"><i class="fa fa-user pull-right"></i> Profile</a></li>
                   <!-- <li>
                      <a href="javascript:;">
                        <span class="badge bg-red pull-right">50%</span>
                        <span>Settings</span>
                      </a>
                    </li>
                    <li><a href="javascript:;">Help</a></li>-->
                    <li><a href="<?php echo base_url(); ?>dashboard/logout"><i class="fa fa-sign-out pull-right"></i> Log Out</a></li>
                  </ul>
                </li>

              </ul>
            </nav>
          </div>
        </div>
        <!-- /top navigation -->
		
		
 <div class="right_col" role="main">
  <div class=" main_content"> <!-- the main content of any page... -->
      <div class="flash_message"> <?php echo $this->session->flashdata('flash_data');  ?></div>
	  <div class="alert alert-success alert-dismissible fade in hide  " role="alert" style="text-align:left;">
                 <button type="button" class="close" data-dismiss="alert" aria-label="Close" style="right:-3px;"><span aria-hidden="true">×</span></button>
                   <span class="message"></span>
                    
                  </div>
				  
				  <div class="alert alert-danger alert-dismissible fade in hide" role="alert" style="text-align:left;">
                   <button type="button" class="close" data-dismiss="alert" aria-label="Close" style="right:-3px;"><span aria-hidden="true">×</span></button>
                   <span class="message"></span>
                   
                  </div>
				    <div class="alert alert-info alert-dismissible fade in hide " role="alert" style="text-align:left;">
					<button type="button" class="close" data-dismiss="alert" aria-label="Close" style="right:-3px;"><span aria-hidden="true">×</span></button>
                   <span class="message"></span>
                   
                  </div>
	  